#NOTIFIER
scoreboard objectives add bastion_raid.n dummy

#UUID STORE
scoreboard objectives add bastion_raid.id0 dummy
scoreboard objectives add bastion_raid.id1 dummy
scoreboard objectives add bastion_raid.id2 dummy
scoreboard objectives add bastion_raid.id3 dummy

#DUMMY POSITION
scoreboard objectives add bastion_raid.pos dummy

#DIFFICULTY
scoreboard objectives add bastion_raid.dif dummy

#BOSSBAR
scoreboard objectives add bastion_raid.hp dummy
scoreboard objectives add bastion_raid.mhp dummy

#BOSSBAR MEMBERS
scoreboard objectives add bastion_raid.mem dummy

#BOSSBAR ANIMATION OF "RAID STARTING"
scoreboard objectives add bastion_raid.fl dummy
scoreboard objectives add bastion_raid.mfl dummy

#CURSED BOOLEAN
scoreboard objectives add bastion_raid.cur dummy

#WAVE NUMBER
scoreboard objectives add bastion_raid.wv dummy
scoreboard objectives add bastion_raid.mwv dummy

#WHETHER BOSSBAR IS VISIBLE
scoreboard objectives add bastion_raid.vis dummy

#WHETHER PLAYER IS AN ALLY IN A RAID
scoreboard objectives add bastion_raid.ali dummy

#NUMBER OF RAIDERS/NUMBER OF FORTRESS MOBS
scoreboard objectives add bastion_raid.num dummy

#NUMBER OF ALLIES
scoreboard objectives add bastion_raid.aly dummy

#REPUTATION AMONG PIGLINS
scoreboard objectives add bastion_raid.rep dummy

#VALUE IS BASED ON GAMERULE MOBGRIEFING
scoreboard objectives add bastion_raid.gri dummy

#DEATH DETECTION TO WHITELIST ITEMS
scoreboard objectives add bastion_raid.die deathCount

##TOGGLES MENU##
#ALLOW RAIDER ARCHER
scoreboard objectives add bastion_raid.bow dummy
#ALLOW BASTION GOLEM
scoreboard objectives add bastion_raid.gol dummy
#DEADLY RAID MODE
scoreboard objectives add bastion_raid.dea dummy
#UNNECESSARY FEATURES OF REBAL_PIGLINS
scoreboard objectives add bastion_raid.unn dummy

scoreboard players reset @a bastion_raid.mem

function bastion_raid:1t
function bastion_raid:3t
function bastion_raid:10t
function bastion_raid:1s/disable_bossbar
function bastion_raid:1s
function bastion_raid:2s
function bastion_raid:5s
function bastion_raid:300s

#BOSSBAR CREATE
bossbar add bastion_raid:raid [{"text": "Raid"}]
bossbar set bastion_raid:raid color red
bossbar set bastion_raid:raid style notched_10
bossbar set bastion_raid:raid players @a[scores={bastion_raid.mem=1}]
team add bastion_raid
team modify bastion_raid color red
team modify bastion_raid nametagVisibility never
team add piglin
team modify piglin nametagVisibility never
team modify piglin collisionRule pushOwnTeam

#ADD TAG
tag @e[type=#bastion_raid:piglins,tag=rebal_piglins.piglin_brute,tag=!bastion_raid.brute] add bastion_raid.brute

#NOTIFY MESSAGE
execute unless score bastion_raid.sc bastion_raid.n matches 1 run function bastion_raid:notify

gamerule sendCommandFeedback false
schedule function bastion_raid:output 1t